> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clustr-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow

> One Workflow, with its trigger and current membership

## Path Parameters

<ParamField path="id" type="string" required>
  The Workflow's id.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.clustr-ai.com/api/public/workflows/7f1e2a33-..." \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "data": {
      "workflow": {
        "id": "7f1e2a33-...",
        "name": "Hot accounts",
        "is_active": true,
        "viewId": "3e5f1a22-...",
        "entity": "accounts",
        "on": "enter",
        "memberCount": 42,
        "last_run_at": "2026-09-13T09:00:00Z"
      }
    }
  }
  ```

  ```json 404 theme={null}
  {
    "success": false,
    "error": { "message": "workflow not found", "code": "NOT_FOUND" }
  }
  ```
</ResponseExample>
